:: WINDOWS 10 commands

:: delete certificate class and jar files
del devKeys
del appendix\*.class
del jars\*.jar

:: 2) gather platform (OS) specific jars from the OpenJFX libraries.
curl.exe --output jars\javafx-controls-11.0.2-win.jar --url https://repo1.maven.org/maven2/org/openjfx/javafx-controls/11.0.2/javafx-controls-11.0.2-win.jar
curl.exe --output jars\javafx-base-11.0.2-win.jar --url https://repo1.maven.org/maven2/org/openjfx/javafx-base/11.0.2/javafx-base-11.0.2-win.jar
curl.exe --output jars\javafx-fxml-11.0.2-win.jar --url https://repo1.maven.org/maven2/org/openjfx/javafx-fxml/11.0.2/javafx-fxml-11.0.2-win.jar
curl.exe --output jars\javafx-graphics-11.0.2-win.jar --url https://repo1.maven.org/maven2/org/openjfx/javafx-graphics/11.0.2/javafx-graphics-11.0.2-win.jar

:: 1) package the JavaFX application in a jar
:: compile
javac --module-path jars --add-modules javafx.controls,javafx.fxml appendix\ToggleButtonDemoLauncher.java

:: create jar file
jar cfm jars\ToggleButtonDemo.jar MyMan.txt appendix\*.class jars\javafx*.jar

:: 3)all jars must be signed and must have required security attributes in their manifests.
:: create certificate - password is test123
keytool -genkeypair -keyalg DSA -alias devName -keystore devKeys

:: sign jar file
jarsigner -keystore devKeys jars\javafx-controls-11.0.2-win.jar devName
jarsigner -keystore devKeys jars\javafx-fxml-11.0.2-win.jar devName
jarsigner -keystore devKeys jars\javafx-graphics-11.0.2-win.jar devName
jarsigner -keystore devKeys jars\javafx-base-11.0.2-win.jar devName

:: sign project jar file
jarsigner -keystore devKeys jars\ToggleButtonDemo.jar devName

:: start java web start application
javaws ToggleButtonDemo.jnlp

::Test
::run ToggleButtonDemo file
::java --module-path jars --add-modules javafx.controls,javafx.fxml appendix.ToggleButtonDemo

::run ToggleButtonDemo.jar file
::java --module-path jars --add-modules javafx.controls,javafx.fxml -jar jars\ToggleButtonDemo.jar